Subject: Mechanism replacement
From: Valerie Day <[email-masked]>
To: [email-masked]
Date: Mon, 26 May 2025 22:04:49 -0700

I made a mistake and removed the Roman blind fabric from the strings in order to clean it. I didn’t know that the strings would coil up and the whole mechanism would become undone. How can I get a replacement just for the mechanism and strings for “
Madison Park Cordless Roman Shades, Total Blackout Window Blind Privacy Window Shades, Thermal Insulated Cordless Window Treatment for Bedroom, Living Room, Quincy, Single Panel 31" W X 64" L Linen”

Any help is appreciated. Thank you!

Valerie Day